<?php
if(!isset($_SESSION)) {
    session_start();
}

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession()
    && Varios::hasModuleAccess(10)
    && isset( $_POST['reservaId'] )
) {
  $reseIdCod 	= filter_var($_POST['reservaId'], FILTER_SANITIZE_STRING);
  $reseId 	  = filter_var( Varios::decodifica($reseIdCod), FILTER_SANITIZE_NUMBER_INT);


  require_once($_SERVER['DOCUMENT_ROOT'].'/clases/gestionReserva.Class.php');
  $reserva_obj  	    = new gestionReserva(null);
  $reserva_resultado  = $reserva_obj->informacionReservaResumen( $reseId, 0);
  $reseId			= 0;
  $reseReliazadaPor 	= '';
  $reseCargaPara 		= '';
  $numeroDocumento 		='';
  $tipoCantidadCarga = '';
  $encargadoEntrega 		= '';
  $observacion    = '';


  $tipoCarga 		= '';
  $bodega = '';
  $puerta = '';
  $rut 			= '';
  $horario = '';
  if( isset($reserva_resultado[0])){
    $reseId = $reserva_resultado['rese_UID'];
    $reseReliazadaPor = $reserva_resultado['rese_razon_social'];
    $reseCargaPara = $reserva_resultado['nombre_cliente'];
    $numeroDocumento =$reserva_resultado['res_tipo_orden'].' '.$reserva_resultado['rese_numero'];

    if($reserva_resultado['rese_cantidad_pallet'] > 0)
    {
      $tipoCantidadCarga = $reserva_resultado['cantidad_pallets'];
    }
    if($reserva_resultado['rese_cantidad_granel'] > 0)
    {
      $tipoCantidadCarga = $reserva_resultado['cantidad_granel'];
    }
    $encargadoEntrega = $reserva_resultado['rese_encargado_entrega'];
    $observacion = $reserva_resultado['rese_observacion'];
    $calificacion = $reserva_resultado['calificacion_cierre'];
    $estado = $reserva_resultado['para_estado_UID'];

    $lugarServicio = $reserva_resultado['bodega_puerta'];

    $horario = $reserva_resultado['res_bloq_inicio'].' - '.$reserva_resultado['res_bloq_fin'];
  }

  $reserva_obj->Close();
    ?>
    <div class="form-group row">
        <label class="col-form-label col-xs-12 col-lg-2">Cliente</label>
        <div class="col-xs-12 col-lg-10"><?php
            if (strlen($reseCargaPara) > 0) {
                mostrarInput('Responsable de la Reserva: '.$reseReliazadaPor);
                mostrarInput('Cliente Principal: '.$reseCargaPara);
            } else {
                mostrarInput($reseReliazadaPor);
            }
            ?>
        </div>
    </div>

    <div class="form-group row">
        <label for="" class="col-form-label col-xs-12 col-lg-2">Nro de documento</label>
        <div class="col-xs-12 col-lg-4">
            <?php mostrarInput($numeroDocumento);?>
        </div>
        <label for="" class="col-form-label col-xs-12 col-lg-2">Tipo y cantidad de carga</label>
        <div class="col-xs-12 col-lg-4">
            <?php mostrarInput($tipoCantidadCarga);?>
        </div>
    </div>
    <div class="form-group row">
        <label for="" class="col-form-label col-xs-12 col-lg-2">Encargado de la entrega</label>
        <div class="col-xs-12 col-lg-10">
            <?php mostrarInput($encargadoEntrega);?>
        </div>
    </div>
    <div class="form-group row" style="vertical-align: text-top;">
        <label class="col-form-label col-xs-12 col-lg-2">Lugar del servicio</label>
        <div class="col-xs-12 col-lg-4">
            <?php mostrarInput($lugarServicio);?>
        </div>
        <label class="col-form-label col-xs-12 col-lg-2">Horario del servicio</label>
        <div class="col-xs-12 col-lg-4">
            <?php mostrarInput($horario);?>
        </div>
    </div><?php 
        if($estado == 101006) //cerrada
        {?>
            <div class="form-group row">
                <label for="" class="col-form-label col-xs-12 col-lg-2">Calificación:</label>
                <div class="col-xs-12 col-lg-10">
                    <?php mostrarTextarea($calificacion);?>
                </div>
            </div><?php 
        }?>
    <div class="form-group row">
        <label for="" class="col-form-label col-xs-12 col-lg-2">Observación:</label>
        <div class="col-xs-12 col-lg-10">
            <?php mostrarTextarea($observacion);?>
        </div>
    </div>
    <?php
} else {
}

function mostrarInput( $valor ) {
    $valor = (strlen($valor) == 0 ? '-' : $valor );
    echo '<input class="form-control" type="text" readonly value="'.$valor.'">';
}

function mostrarTextarea( $valor ) {
    echo '<textarea class="form-control" type="text" readonly rows="2">'.$valor.'</textarea>';
}
?>

